LIB_NAME=pesqraw
OUT_LIB=lib$(LIB_NAME).a



SOURCE=source/dsp.c \
		source/pesqdsp.c \
		source/pesqio.c \
		source/pesqmod.c \
		source/pesqraw.c \
		 
OBJ=${SOURCE:.c=.o}

INCLUDE=-I ./source


CPPFLAGS=-g $(INCLUDE)
		
# CC=gcc

out:${OUT_LIB}
	@echo make completed.

${OUT_LIB}:${OBJ}
	ar cru $@ ${OBJ}
	ranlib $@

%.o : %.c
	$(CC) $(CPPFLAGS) -c $< -o $@ 

# $(OUT): $(SOURCE:.cpp=.o)
# 	$(CC) -o $@ $^ $(LIBS)

# include $(SOURCE:.c=.d)

# %.d: %.c
# 	set -e; rm -f $@; \
# 	$(CC) $< -MM $(CPPFLAGS) > $@.$$$$; \
# 	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
# 	rm -f $@.$$$$

# .PHONY: test
test: ${OUT_LIB} test/test_main.c
	$(CC) -o test_raw test/test_main.c -I ./source -L ./ -l$(LIB_NAME) -lm

clean:
	rm -f $(OUT_LIB)
	rm -f $(SOURCE:.c=.o)
	rm -f $(SOURCE:.c=.d)
#	make -C test clean
	@echo cleaned
	


