#ifndef _PESQRAW_H
#define _PESQRAW_H

#include <stdio.h>
#include <math.h>

#ifndef WHOLE_SIGNAL
#include "pesq.h"
#endif

void pesq_raw 
(
    SIGNAL_INFO * ref_info, 
    SIGNAL_INFO * deg_info,
    ERROR_INFO * err_info, 
    long * Error_Flag, 
    char ** Error_Type
);

void pesq_measure_pcm
(
    const short * ref_samples_buf, 
    long ref_sampels_len,
    
    const short * deg_samples_buf, 
    long deg_sampels_len,
  
    long sample_rate,
    short mode,

    float *p_pesq_mos,
    float *p_mapped_mos,

    long * p_error_Flag, 
    char ** p_error_Type
);

void pesq_measure_test 
(
    SIGNAL_INFO * ref_info, 
    SIGNAL_INFO * deg_info,
    ERROR_INFO * err_info, 
    long * Error_Flag, 
    char ** Error_Type
);

#endif
